/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __SCREEN_CONNECTOR_PROVIDER_H__
#define __SCREEN_CONNECTOR_PROVIDER_H__
#include <Evas.h>

#ifdef __cplusplus
extern "C" {
#endif
int screen_connector_provider_remote_enable(const char *id, struct wl_surface *surface);
int screen_connector_provider_init(void);
int screen_connector_provider_fini(void);

#ifdef __cplusplus
}
#endif

#endif /* __SCREEN_CONNECTOR_PROVIDER_H__ */
